// 7ZipDll.cpp : Definiert den Einstiegspunkt fr die DLL-Anwendung.
//

#include "stdafx.h"
#include "Ez7Zip.h"
#include "MyArchiveHandler.h"

#ifdef _MANAGED
#pragma managed(push, off)
#endif

CMyArchiveHandler m_MyArchiveHandler;

BOOL APIENTRY DllMain( HMODULE hModule, DWORD  ul_reason_for_call, LPVOID lpReserved)
{
	if(ul_reason_for_call == DLL_PROCESS_ATTACH)
	{
	}
	else if(ul_reason_for_call == DLL_PROCESS_DETACH)
	{
	}
	return TRUE;
}

extern "C" int __declspec(dllexport) SevenzipCmdExec(LPTSTR baseDir, LPTSTR cmd)
{
	return m_MyArchiveHandler.CmdExec(baseDir, cmd);
}

extern "C" unsigned __int32 __declspec(dllexport) SevenzipGetNumFiles()
{
	return m_MyArchiveHandler.GetNumFiles();
}

extern "C" struct SEVENZIP_FILE_INFO __declspec(dllexport) *SevenzipGetFileInfo(unsigned __int32 index)
{
	return m_MyArchiveHandler.GetFileInfo(index);
}

extern "C" __int32 __declspec(dllexport) SevenzipGetNumFailures()
{
	return m_MyArchiveHandler.GetNumFailures();
}

extern "C" SEVENZIP_FAILURE_INFO __declspec(dllexport) *SevenzipGetFailureInfo(__int32 index)
{
	return m_MyArchiveHandler.GetFailureInfo(index);
}

extern "C" void __declspec(dllexport) SevenzipClearFailureInfo()
{
	m_MyArchiveHandler.ClearFailureInfo();
}

extern "C" bool __declspec(dllexport) SevenzipHasEncryptedHeader()
{
	return m_MyArchiveHandler.HasEncryptedHeader();
}

extern "C" void __declspec(dllexport) SevenzipClearFileInfo()
{
	m_MyArchiveHandler.ClearFileInfo();
}

extern "C" void __declspec(dllexport) SevenzipSetCallback(SEVENZIP_PROGRESS_PROC *progressCallback, void *userData)
{
	m_MyArchiveHandler.SetCallback(progressCallback, userData);
}

extern "C" LPTSTR __declspec(dllexport) SevenzipGetLastErrorMsg()
{
	return m_MyArchiveHandler.GetLastErrorMsg();
}

#ifdef _MANAGED
#pragma managed(pop)
#endif

